<?php
namespace Webshop\Product;

/**
 * Proizvod.
 *
 * @package Webshop\Product
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-product
 */
interface ProductInterface
{
    /**
     * Vraća ID proizvoda.
     *
     * @return int
     */
    public function getId(): int;

    /**
     * @return string
     */
    public function getName(): string;

    /**
     * Vraća vrstu proizvoda.
     *
     * @return string
     */
    public function getType(): string;

    /**
     * Kataloški broj proizvoda kod dobavljača, ovo koristimo za naručivanje od njih.
     *
     * @return string|null
     */
    public function getCatalogNumber(): ?string;

    /**
     * Vraća šifru proizvoda.
     *
     * @return string
     */
    public function getSku(): string;

    /**
     * Vraća šifru dobavljača ovog proizvoda.
     *
     * @return string|null
     */
    public function getSupplier(): ?string;
}